complexType "FxCurveValuation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 attributes, 12 elements
Defined: | globally in fpml-mktenv-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
definitionRef | = | xsd:IDREF
| >
Content: | objectReference?, valuationScenarioReference?, baseDate, spotDate?, inputDataDate?, endDate?, buildDateTime?, settlementCurrencyYieldCurve?, forecastCurrencyYieldCurve?, spotRate?, fxForwardCurve?, fxForwardPointsCurve?
</...>

Content Model Elements (12):

  baseDate,
  buildDateTime,
  endDate (defined in PricingInputDates.model group),
  forecastCurrencyYieldCurve,
  fxForwardCurve,
  fxForwardPointsCurve,
  inputDataDate,
  objectReference,
  settlementCurrencyYieldCurve,
  spotDate,
  spotRate (in fxCurveValuation),
  valuationScenarioReference (defined in Valuation complexType)

All Direct / Indirect Based Elements (1):

  fxCurveValuation

Known Usage Locations

- As direct type of elements (1):
  fxCurveValuation

Annotation
A valuation of an FX curve object., which includes pricing inputs and term structures for fx forwards.
Type Definition Detail

Type Derivation Tree Valuation (extension) PricingStructureValuation (extension) FxCurveValuation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxCurveValuation"> <xsd:complexContent> <xsd:extension base="PricingStructureValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementCurrencyYieldCurve" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="forecastCurrencyYieldCurve" type="PricingStructureReference"/> <xsd:element minOccurs="0" name="spotRate" type="FxRateSet"/> <xsd:element minOccurs="0" name="fxForwardCurve" type="TermCurve"/> <xsd:element minOccurs="0" name="fxForwardPointsCurve" type="TermCurve"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/12)
forecastCurrencyYieldCurve

  Type: | PricingStructureReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="forecastCurrencyYieldCurve" type="PricingStructureReference"/>

fxForwardCurve

  Type: | TermCurve, complex content

  A curve of fx forward rates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxForwardCurve" type="TermCurve"/>

fxForwardPointsCurve

  Type: | TermCurve, complex content

  A curve of fx forward point spreads.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxForwardPointsCurve" type="TermCurve"/>

settlementCurrencyYieldCurve

  Type: | PricingStructureReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrencyYieldCurve" type="PricingStructureReference"/>

spotRate

  Type: | FxRateSet, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="FxRateSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.